<xml> </xml>

db4o |

# ObjectContainer.Deactivate Method

deactivates a stored object by setting all members to

    NULL

.
void Deactivate(
object obj,
int depth
);

#### Parameters

obj
  the object to be deactivated.
depth
  the member activationDepth to which deactivate is to cascade.

#### Remarks

deactivates a stored object by setting all members to

    NULL

.
Primitive types will be set to their default values.
Examples: ../com/db4o/samples/activate.
Calls to this method save memory. The method has no effect, if the passed object is not stored in the

    ObjectContainer

.

    Deactivate()

triggers the callback method objectOnDeactivate .
Be aware that calling this method with a depth parameter greater than 1 sets members on member objects to null. This may have side effects in other places of the application.

#### See Also

ObjectContainer Interface | com.db4o Namespace | Using callbacks | activationDepth